#!/usr/bin/env python3
# -*- coding:utf-8 -*-
'''
# File: common.py
# Project: Sloppy
# Created Date: 2022-07-18, 09:15:59
# Author: Chungman Kim(h2noda@unipark.kr)
# Last Modified: Thu Sep 01 2022
# Modified By: Chungman Kim
# Copyright (c) 2022 Unipark
# HISTORY:
# Date      	By	Comments
# ----------	---	----------------------------------------------------------
'''

from datetime import date, timedelta, datetime
from dateutil.relativedelta import *
from message import *


class Datetime:
    def get_today(strformat="%Y%m%d"):
        retval = date.today().strftime(strformat)

        return retval

    def get_now(strformat="%Y-%m-%d %H:%M:%S"):
        retval = datetime.now().strftime(strformat)

        return retval

    def get_thismonth(strformat="%Y%m"):
        retval = date.today().strftime(strformat)

        return retval

    def get_yesterday(strformat="%Y%m"):
        retval = date.today() - timedelta(1)
        retval = retval.strftime(strformat)

        return retval

    def get_previousmonth(strformat="%Y%m"):
        retval = datetime.today() + relativedelta(months=-1)
        retval = retval.strftime(strformat)

        return retval
